## DiscordGo
<hr>
<img align="right" src="http://bwmarrin.github.io/discordgo/img/discordgo.png">

[Go](https://golang.org/) (golang) interface for the [Discord](https://discordapp.com/) 
chat service.  Provides both low-level direct bindings to the 
Discord API and helper functions that allow you to make custom clients and chat 
bot applications easily.

[Discord](https://discordapp.com/) is an all-in-one voice and text chat for 
gamers that's free, secure, and works on both your desktop and phone. 
 
### Why DiscordGo?
* High Performance
* Minimal Memory & CPU Load
* Low-level bindings to Discord REST API Endpoints
* Support for the data websocket interface
* Multi-Server voice connections (send and receive)
* State tracking and caching

### Learn More
* Check out the [Getting Started](GettingStarted) section
* Read the reference docs on [Godoc](https://godoc.org/github.com/bwmarrin/discordgo) or [GoWalker](https://gowalker.org/github.com/bwmarrin/discordgo)
* Try the [examples](https://github.com/bwmarrin/discordgo/tree/master/examples)
* Explore [Awesome DiscordGo](https://github.com/bwmarrin/discordgo/wiki/Awesome-DiscordGo)

### Join Us!
Both of the below links take you to chat channels where you can get more 
information and support for DiscordGo.  There's also a chance to make some 
friends :)

* Join the [Discord Gophers](https://discord.gg/0f1SbxBZjYoCtNPP) chat server dedicated to Go programming.
* Join the [Discord API](https://discord.gg/0SBTUU1wZTWT6sqd) chat server dedicated to the Discord API.
